KeyFlags
Date: 2016-06-23

org.bouncycastle.bcpg.sig

## Class KeyFlags

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.KeyFlags

-     public class KeyFlags
      extends SignatureSubpacket

  Packet holding the key flag values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTHENTICATION`
    `static int` | `CERTIFY_OTHER`
    `static int` | `ENCRYPT_COMMS`
    `static int` | `ENCRYPT_STORAGE`
    `static int` | `SHARED`
    `static int` | `SIGN_DATA`
    `static int` | `SPLIT`

    - ### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

      `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyFlags(boolean critical, boolean isLongLength, byte[] data)`
    `KeyFlags(boolean critical, int flags)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFlags()` Return the flag values contained in the first 4 octets (note: at the moment the standard only uses the first one).

    - ### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

      `encode, getData, getType, isCritical, isLongLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CERTIFY_OTHER

          public static final int CERTIFY_OTHER

      See Also:
        Constant Field Values

    - #### SIGN_DATA

          public static final int SIGN_DATA

      See Also:
        Constant Field Values

    - #### ENCRYPT_COMMS

          public static final int ENCRYPT_COMMS

      See Also:
        Constant Field Values

    - #### ENCRYPT_STORAGE

          public static final int ENCRYPT_STORAGE

      See Also:
        Constant Field Values

    - #### SPLIT

          public static final int SPLIT

      See Also:
        Constant Field Values

    - #### AUTHENTICATION

          public static final int AUTHENTICATION

      See Also:
        Constant Field Values

    - #### SHARED

          public static final int SHARED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyFlags

          public KeyFlags(boolean critical,
                  boolean isLongLength,
                  byte[] data)

    - #### KeyFlags

          public KeyFlags(boolean critical,
                  int flags)

  - ### Method Detail

    - #### getFlags

          public int getFlags()

      Return the flag values contained in the first 4 octets (note: at the moment the standard only uses the first one).
      Returns:
        flag values.